Page MenuHomePhabricator

cumin: Make output path sane and flexible (was: allow to suppress output and progress bars)
Open, MediumPublic

Description

Tasks:

  • Decouple execution from output
  • Better store of execution results and exposition of those - api for the output of commands
    • TBD how to do this in a transport neutral way
  • Collect output into msgtree of our own when using async (group output by command and node similar to sync output)
    • Investigate if this is a reasonable thing to do given the MsgTree object and available hooks in clustershell.

Was:

Opening the task to track and fix the long-known limitation in Cumin that doesn't allow to easily suppress the executed commands' output and/or progress bars.
They should ideally be suppressed independently and or redirected to an optional file-like object.

Event Timeline

Volans triaged this task as Medium priority.Jan 2 2019, 2:21 PM
Volans created this task.

Change 481858 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] remote: suppress Cumin's output

https://gerrit.wikimedia.org/r/481858

Change 481858 merged by Volans:
[operations/software/spicerack@master] remote: suppress Cumin's output

https://gerrit.wikimedia.org/r/481858

crusnov renamed this task from cumin: allow to suppress output and progress bars to cumin: Make ouput path sane and flexible (was: allow to suppress output and progress bars).Jul 1 2019, 3:48 PM
crusnov claimed this task.
crusnov updated the task description. (Show Details)
crusnov added a subscriber: crusnov.
Volans renamed this task from cumin: Make ouput path sane and flexible (was: allow to suppress output and progress bars) to cumin: Make output path sane and flexible (was: allow to suppress output and progress bars).May 14 2020, 3:51 PM

Change 626389 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/cumin@master] cli: add a -n/--no-colors option

https://gerrit.wikimedia.org/r/626389

Change 626390 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/cumin@master] cli: in dry-run send the list of hosts to stdout

https://gerrit.wikimedia.org/r/626390

Change 626389 merged by jenkins-bot:
[operations/software/cumin@master] cli: add a -n/--no-colors option

https://gerrit.wikimedia.org/r/626389

Change 626390 merged by jenkins-bot:
[operations/software/cumin@master] cli: in dry-run send the list of hosts to stdout

https://gerrit.wikimedia.org/r/626390

Change 626660 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/software/cumin@master] Extracting obvious reporting code to a Reporter class.

https://gerrit.wikimedia.org/r/626660

Change 628315 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/software/cumin@master] Enable cumin EventHandler to disable output.

https://gerrit.wikimedia.org/r/628315

Change 626660 merged by Gehel:
[operations/software/cumin@master] Extracting obvious reporting code to a Reporter class.

https://gerrit.wikimedia.org/r/626660

Change 631702 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/software/cumin@master] Introduce an interface for progress bars.

https://gerrit.wikimedia.org/r/631702

Change 631702 merged by Gehel:
[operations/software/cumin@master] Introduce an interface for progress bars.

https://gerrit.wikimedia.org/r/631702

Change 634504 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/software/cumin@master] Mark get_short_command() as private.

https://gerrit.wikimedia.org/r/634504

Change 634504 merged by Gehel:
[operations/software/cumin@master] Mark get_short_command() as private.

https://gerrit.wikimedia.org/r/634504

Change 644175 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/spicerack@master] remote: re-enable cumin's output

https://gerrit.wikimedia.org/r/644175

Change 644175 merged by jenkins-bot:
[operations/software/spicerack@master] remote: re-enable cumin's output

https://gerrit.wikimedia.org/r/644175

Change 644458 had a related patch set uploaded (by Volans; owner: Volans):
[operations/cookbooks@master] Avoid double output when running Cumin commands

https://gerrit.wikimedia.org/r/644458

Change 644458 merged by jenkins-bot:
[operations/cookbooks@master] Avoid double output when running Cumin commands

https://gerrit.wikimedia.org/r/644458

Change 681692 had a related patch set uploaded (by Volans; author: Volans):

[operations/software/cumin@master] CLI/clustershell: allow to disable progress bars

https://gerrit.wikimedia.org/r/681692

Change 628315 merged by jenkins-bot:

[operations/software/cumin@master] clustershell: allow to choose different reporters

https://gerrit.wikimedia.org/r/628315

Change 681692 merged by jenkins-bot:

[operations/software/cumin@master] CLI/clustershell: allow to disable progress bars

https://gerrit.wikimedia.org/r/681692